package kr.lunaticbum.back.lun.model

import lombok.Getter


@Getter
open class ResponceResult : BaseResult() {
    var data : HashMap<String, String> = hashMapOf()
}

@Getter
open class PostsResult : BaseResult() {
    var posts: List<Post>? = null
}


@Getter
open class LoginResult : ResponceResult() {
    var rememberMe: Boolean? = null

    var token: String? = null // [추가] JWT 토큰을 담을 필드
}

@Getter
class FileSaveResult : ResponceResult() {
    var fileName : String? = null
    var thumbnailName : String? = null
}